window.Gleam.initSearch([{"doc":"nakai","title":"nakai","content":"![Nakai](https://cdn.mckayla.cloud/-/bc0c2f543cd4411f93d9ea7712aafb74/BANNER.webp)\n\n[![Documentation](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/nakai/)\n\n## Getting started\n\n```sh\ngleam add nakai\n```\n\n```gleam\nimport gleam/list\nimport nakai\nimport nakai/head\nimport nakai/html.{Node}\nimport nakai/html/attrs.{Attr}\n\nconst header_style = &quot;\n  color: #331f26;\n  font-family: &#39;Neuton&#39;, serif;\n  font-size: 128px;\n  font-weight: 400;\n&quot;\n\npub fn header(attrs: List(Attr(a)), text: String) -&gt; Node(a) {\n  let attrs =\n    [attrs.style(header_style)]\n    |&gt; list.append(attrs)\n\n  html.h1_text(attrs, text)\n}\n\npub fn app() -&gt; String {\n  html.div([], [\n    head.title(&quot;Hello!&quot;),\n    header([], &quot;Hello, from Nakai!&quot;),\n  ])\n  |&gt; nakai.render\n}\n```\n\n## Development\n\nTo build Nakai from source, just run `make`\n","url":"index.html"},{"doc":"nakai/html/attrs","title":"Attr","content":"pub type Attr(a) {\n  Attr(name: String, value: String)\n  Event(name: String, action: a)\n}\n\nAttr(name: String, value: String)\n\n\nEvent(name: String, action: a)\n\n\nSynonyms:\nnakai/html/attrs.Attr\nnakai/html/attrs Attr","url":"nakai/html/attrs.html#Attr"},{"doc":"nakai/html/attrs","title":"accept","content":"pub fn accept(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.accept\nnakai/html/attrs accept","url":"nakai/html/attrs.html#accept"},{"doc":"nakai/html/attrs","title":"accept_charset","content":"pub fn accept_charset(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.accept_charset\nnakai/html/attrs accept_charset","url":"nakai/html/attrs.html#accept_charset"},{"doc":"nakai/html/attrs","title":"action","content":"pub fn action(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.action\nnakai/html/attrs action","url":"nakai/html/attrs.html#action"},{"doc":"nakai/html/attrs","title":"alt","content":"pub fn alt(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.alt\nnakai/html/attrs alt","url":"nakai/html/attrs.html#alt"},{"doc":"nakai/html/attrs","title":"async","content":"pub fn async() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.async\nnakai/html/attrs async","url":"nakai/html/attrs.html#async"},{"doc":"nakai/html/attrs","title":"autocapitalize","content":"pub fn autocapitalize(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.autocapitalize\nnakai/html/attrs autocapitalize","url":"nakai/html/attrs.html#autocapitalize"},{"doc":"nakai/html/attrs","title":"autocomplete","content":"pub fn autocomplete(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.autocomplete\nnakai/html/attrs autocomplete","url":"nakai/html/attrs.html#autocomplete"},{"doc":"nakai/html/attrs","title":"autofocus","content":"pub fn autofocus() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.autofocus\nnakai/html/attrs autofocus","url":"nakai/html/attrs.html#autofocus"},{"doc":"nakai/html/attrs","title":"autoplay","content":"pub fn autoplay() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.autoplay\nnakai/html/attrs autoplay","url":"nakai/html/attrs.html#autoplay"},{"doc":"nakai/html/attrs","title":"capture","content":"pub fn capture(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.capture\nnakai/html/attrs capture","url":"nakai/html/attrs.html#capture"},{"doc":"nakai/html/attrs","title":"charset","content":"pub fn charset(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.charset\nnakai/html/attrs charset","url":"nakai/html/attrs.html#charset"},{"doc":"nakai/html/attrs","title":"checked","content":"pub fn checked() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.checked\nnakai/html/attrs checked","url":"nakai/html/attrs.html#checked"},{"doc":"nakai/html/attrs","title":"cite","content":"pub fn cite(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.cite\nnakai/html/attrs cite","url":"nakai/html/attrs.html#cite"},{"doc":"nakai/html/attrs","title":"class","content":"pub fn class(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.class\nnakai/html/attrs class","url":"nakai/html/attrs.html#class"},{"doc":"nakai/html/attrs","title":"content","content":"pub fn content(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.content\nnakai/html/attrs content","url":"nakai/html/attrs.html#content"},{"doc":"nakai/html/attrs","title":"contenteditable","content":"pub fn contenteditable() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.contenteditable\nnakai/html/attrs contenteditable","url":"nakai/html/attrs.html#contenteditable"},{"doc":"nakai/html/attrs","title":"crossorigin","content":"pub fn crossorigin() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.crossorigin\nnakai/html/attrs crossorigin","url":"nakai/html/attrs.html#crossorigin"},{"doc":"nakai/html/attrs","title":"data","content":"pub fn data(name: String, value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.data\nnakai/html/attrs data","url":"nakai/html/attrs.html#data"},{"doc":"nakai/html/attrs","title":"defer","content":"pub fn defer() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.defer\nnakai/html/attrs defer","url":"nakai/html/attrs.html#defer"},{"doc":"nakai/html/attrs","title":"disabled","content":"pub fn disabled() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.disabled\nnakai/html/attrs disabled","url":"nakai/html/attrs.html#disabled"},{"doc":"nakai/html/attrs","title":"draggable","content":"pub fn draggable() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.draggable\nnakai/html/attrs draggable","url":"nakai/html/attrs.html#draggable"},{"doc":"nakai/html/attrs","title":"for","content":"pub fn for(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.for\nnakai/html/attrs for","url":"nakai/html/attrs.html#for"},{"doc":"nakai/html/attrs","title":"formaction","content":"pub fn formaction(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.formaction\nnakai/html/attrs formaction","url":"nakai/html/attrs.html#formaction"},{"doc":"nakai/html/attrs","title":"height","content":"pub fn height(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.height\nnakai/html/attrs height","url":"nakai/html/attrs.html#height"},{"doc":"nakai/html/attrs","title":"href","content":"pub fn href(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.href\nnakai/html/attrs href","url":"nakai/html/attrs.html#href"},{"doc":"nakai/html/attrs","title":"http_equiv","content":"pub fn http_equiv(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.http_equiv\nnakai/html/attrs http_equiv","url":"nakai/html/attrs.html#http_equiv"},{"doc":"nakai/html/attrs","title":"id","content":"pub fn id(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.id\nnakai/html/attrs id","url":"nakai/html/attrs.html#id"},{"doc":"nakai/html/attrs","title":"integrity","content":"pub fn integrity(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.integrity\nnakai/html/attrs integrity","url":"nakai/html/attrs.html#integrity"},{"doc":"nakai/html/attrs","title":"lang","content":"pub fn lang(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.lang\nnakai/html/attrs lang","url":"nakai/html/attrs.html#lang"},{"doc":"nakai/html/attrs","title":"loop","content":"pub fn loop() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.loop\nnakai/html/attrs loop","url":"nakai/html/attrs.html#loop"},{"doc":"nakai/html/attrs","title":"name","content":"pub fn name(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.name\nnakai/html/attrs name","url":"nakai/html/attrs.html#name"},{"doc":"nakai/html/attrs","title":"preload","content":"pub fn preload() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.preload\nnakai/html/attrs preload","url":"nakai/html/attrs.html#preload"},{"doc":"nakai/html/attrs","title":"property","content":"pub fn property(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.property\nnakai/html/attrs property","url":"nakai/html/attrs.html#property"},{"doc":"nakai/html/attrs","title":"readonly","content":"pub fn readonly() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.readonly\nnakai/html/attrs readonly","url":"nakai/html/attrs.html#readonly"},{"doc":"nakai/html/attrs","title":"rel","content":"pub fn rel(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.rel\nnakai/html/attrs rel","url":"nakai/html/attrs.html#rel"},{"doc":"nakai/html/attrs","title":"selected","content":"pub fn selected() -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.selected\nnakai/html/attrs selected","url":"nakai/html/attrs.html#selected"},{"doc":"nakai/html/attrs","title":"src","content":"pub fn src(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.src\nnakai/html/attrs src","url":"nakai/html/attrs.html#src"},{"doc":"nakai/html/attrs","title":"style","content":"pub fn style(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.style\nnakai/html/attrs style","url":"nakai/html/attrs.html#style"},{"doc":"nakai/html/attrs","title":"tabindex","content":"pub fn tabindex(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.tabindex\nnakai/html/attrs tabindex","url":"nakai/html/attrs.html#tabindex"},{"doc":"nakai/html/attrs","title":"target","content":"pub fn target(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.target\nnakai/html/attrs target","url":"nakai/html/attrs.html#target"},{"doc":"nakai/html/attrs","title":"title","content":"pub fn title(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.title\nnakai/html/attrs title","url":"nakai/html/attrs.html#title"},{"doc":"nakai/html/attrs","title":"type_","content":"pub fn type_(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.type_\nnakai/html/attrs type_","url":"nakai/html/attrs.html#type_"},{"doc":"nakai/html/attrs","title":"value","content":"pub fn value(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.value\nnakai/html/attrs value","url":"nakai/html/attrs.html#value"},{"doc":"nakai/html/attrs","title":"width","content":"pub fn width(value: String) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/attrs.width\nnakai/html/attrs width","url":"nakai/html/attrs.html#width"},{"doc":"nakai/html/attrs","title":"nakai/html/attrs","content":"","url":"nakai/html/attrs.html"},{"doc":"nakai/html/events","title":"on_click","content":"pub fn on_click(action: a) -&gt; Attr(a)\n\nSynonyms:\nnakai/html/events.on_click\nnakai/html/events on_click","url":"nakai/html/events.html#on_click"},{"doc":"nakai/html/events","title":"nakai/html/events","content":"","url":"nakai/html/events.html"},{"doc":"nakai/html/doctype","title":"Doctype","content":"pub type Doctype {\n  Doctype(decl: String)\n}\n\nDoctype(decl: String)\n\n\nSynonyms:\nnakai/html/doctype.Doctype\nnakai/html/doctype Doctype","url":"nakai/html/doctype.html#Doctype"},{"doc":"nakai/html/doctype","title":"nakai/html/doctype","content":"","url":"nakai/html/doctype.html"},{"doc":"nakai/html","title":"Node","content":"pub type Node(a) {\n  Head(children: List(Node(a)))\n  Comment(content: String)\n  Element(\n    tag: String,\n    attrs: List(Attr(a)),\n    children: List(Node(a)),\n  )\n  LeafElement(tag: String, attrs: List(Attr(a)))\n  Text(content: String)\n  Component(factory: fn() -&gt; Node(a))\n  Fragment(children: List(Node(a)))\n  Nothing\n}\n\nHead(children: List(Node(a)))\n\n\nComment(content: String)\n\n\nElement(\n  tag: String,\n  attrs: List(Attr(a)),\n  children: List(Node(a)),\n)\n\n\nLeafElement(tag: String, attrs: List(Attr(a)))\n\n\nText(content: String)\n\n\nComponent(factory: fn() -&gt; Node(a))\n\n\nFragment(children: List(Node(a)))\n\n\nNothing\n\n\nSynonyms:\nnakai/html.Node\nnakai/html Node","url":"nakai/html.html#Node"},{"doc":"nakai/html","title":"a","content":"pub fn a(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.a\nnakai/html a","url":"nakai/html.html#a"},{"doc":"nakai/html","title":"a_text","content":"pub fn a_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.a_text\nnakai/html a_text","url":"nakai/html.html#a_text"},{"doc":"nakai/html","title":"abbr","content":"pub fn abbr(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.abbr\nnakai/html abbr","url":"nakai/html.html#abbr"},{"doc":"nakai/html","title":"abbr_text","content":"pub fn abbr_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.abbr_text\nnakai/html abbr_text","url":"nakai/html.html#abbr_text"},{"doc":"nakai/html","title":"address","content":"pub fn address(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.address\nnakai/html address","url":"nakai/html.html#address"},{"doc":"nakai/html","title":"address_text","content":"pub fn address_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.address_text\nnakai/html address_text","url":"nakai/html.html#address_text"},{"doc":"nakai/html","title":"area","content":"pub fn area(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.area\nnakai/html area","url":"nakai/html.html#area"},{"doc":"nakai/html","title":"article","content":"pub fn article(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.article\nnakai/html article","url":"nakai/html.html#article"},{"doc":"nakai/html","title":"article_text","content":"pub fn article_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.article_text\nnakai/html article_text","url":"nakai/html.html#article_text"},{"doc":"nakai/html","title":"aside","content":"pub fn aside(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.aside\nnakai/html aside","url":"nakai/html.html#aside"},{"doc":"nakai/html","title":"aside_text","content":"pub fn aside_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.aside_text\nnakai/html aside_text","url":"nakai/html.html#aside_text"},{"doc":"nakai/html","title":"audio","content":"pub fn audio(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.audio\nnakai/html audio","url":"nakai/html.html#audio"},{"doc":"nakai/html","title":"audio_text","content":"pub fn audio_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.audio_text\nnakai/html audio_text","url":"nakai/html.html#audio_text"},{"doc":"nakai/html","title":"b","content":"pub fn b(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.b\nnakai/html b","url":"nakai/html.html#b"},{"doc":"nakai/html","title":"b_text","content":"pub fn b_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.b_text\nnakai/html b_text","url":"nakai/html.html#b_text"},{"doc":"nakai/html","title":"base","content":"pub fn base(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.base\nnakai/html base","url":"nakai/html.html#base"},{"doc":"nakai/html","title":"bdi","content":"pub fn bdi(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.bdi\nnakai/html bdi","url":"nakai/html.html#bdi"},{"doc":"nakai/html","title":"bdi_text","content":"pub fn bdi_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.bdi_text\nnakai/html bdi_text","url":"nakai/html.html#bdi_text"},{"doc":"nakai/html","title":"bdo","content":"pub fn bdo(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.bdo\nnakai/html bdo","url":"nakai/html.html#bdo"},{"doc":"nakai/html","title":"bdo_text","content":"pub fn bdo_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.bdo_text\nnakai/html bdo_text","url":"nakai/html.html#bdo_text"},{"doc":"nakai/html","title":"blockquote","content":"pub fn blockquote(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.blockquote\nnakai/html blockquote","url":"nakai/html.html#blockquote"},{"doc":"nakai/html","title":"blockquote_text","content":"pub fn blockquote_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.blockquote_text\nnakai/html blockquote_text","url":"nakai/html.html#blockquote_text"},{"doc":"nakai/html","title":"body","content":"pub fn body(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.body\nnakai/html body","url":"nakai/html.html#body"},{"doc":"nakai/html","title":"body_text","content":"pub fn body_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.body_text\nnakai/html body_text","url":"nakai/html.html#body_text"},{"doc":"nakai/html","title":"br","content":"pub fn br(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.br\nnakai/html br","url":"nakai/html.html#br"},{"doc":"nakai/html","title":"button","content":"pub fn button(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.button\nnakai/html button","url":"nakai/html.html#button"},{"doc":"nakai/html","title":"button_text","content":"pub fn button_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.button_text\nnakai/html button_text","url":"nakai/html.html#button_text"},{"doc":"nakai/html","title":"canvas","content":"pub fn canvas(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.canvas\nnakai/html canvas","url":"nakai/html.html#canvas"},{"doc":"nakai/html","title":"canvas_text","content":"pub fn canvas_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.canvas_text\nnakai/html canvas_text","url":"nakai/html.html#canvas_text"},{"doc":"nakai/html","title":"caption","content":"pub fn caption(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.caption\nnakai/html caption","url":"nakai/html.html#caption"},{"doc":"nakai/html","title":"caption_text","content":"pub fn caption_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.caption_text\nnakai/html caption_text","url":"nakai/html.html#caption_text"},{"doc":"nakai/html","title":"cite","content":"pub fn cite(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.cite\nnakai/html cite","url":"nakai/html.html#cite"},{"doc":"nakai/html","title":"cite_text","content":"pub fn cite_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.cite_text\nnakai/html cite_text","url":"nakai/html.html#cite_text"},{"doc":"nakai/html","title":"code","content":"pub fn code(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.code\nnakai/html code","url":"nakai/html.html#code"},{"doc":"nakai/html","title":"code_text","content":"pub fn code_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.code_text\nnakai/html code_text","url":"nakai/html.html#code_text"},{"doc":"nakai/html","title":"col","content":"pub fn col(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.col\nnakai/html col","url":"nakai/html.html#col"},{"doc":"nakai/html","title":"col_text","content":"pub fn col_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.col_text\nnakai/html col_text","url":"nakai/html.html#col_text"},{"doc":"nakai/html","title":"colgroup","content":"pub fn colgroup(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.colgroup\nnakai/html colgroup","url":"nakai/html.html#colgroup"},{"doc":"nakai/html","title":"colgroup_text","content":"pub fn colgroup_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.colgroup_text\nnakai/html colgroup_text","url":"nakai/html.html#colgroup_text"},{"doc":"nakai/html","title":"data","content":"pub fn data(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.data\nnakai/html data","url":"nakai/html.html#data"},{"doc":"nakai/html","title":"data_text","content":"pub fn data_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.data_text\nnakai/html data_text","url":"nakai/html.html#data_text"},{"doc":"nakai/html","title":"datalist","content":"pub fn datalist(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.datalist\nnakai/html datalist","url":"nakai/html.html#datalist"},{"doc":"nakai/html","title":"datalist_text","content":"pub fn datalist_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.datalist_text\nnakai/html datalist_text","url":"nakai/html.html#datalist_text"},{"doc":"nakai/html","title":"dd","content":"pub fn dd(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.dd\nnakai/html dd","url":"nakai/html.html#dd"},{"doc":"nakai/html","title":"dd_text","content":"pub fn dd_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.dd_text\nnakai/html dd_text","url":"nakai/html.html#dd_text"},{"doc":"nakai/html","title":"del","content":"pub fn del(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.del\nnakai/html del","url":"nakai/html.html#del"},{"doc":"nakai/html","title":"del_text","content":"pub fn del_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.del_text\nnakai/html del_text","url":"nakai/html.html#del_text"},{"doc":"nakai/html","title":"details","content":"pub fn details(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.details\nnakai/html details","url":"nakai/html.html#details"},{"doc":"nakai/html","title":"details_text","content":"pub fn details_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.details_text\nnakai/html details_text","url":"nakai/html.html#details_text"},{"doc":"nakai/html","title":"dfn","content":"pub fn dfn(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.dfn\nnakai/html dfn","url":"nakai/html.html#dfn"},{"doc":"nakai/html","title":"dfn_text","content":"pub fn dfn_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.dfn_text\nnakai/html dfn_text","url":"nakai/html.html#dfn_text"},{"doc":"nakai/html","title":"dialog","content":"pub fn dialog(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.dialog\nnakai/html dialog","url":"nakai/html.html#dialog"},{"doc":"nakai/html","title":"dialog_text","content":"pub fn dialog_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.dialog_text\nnakai/html dialog_text","url":"nakai/html.html#dialog_text"},{"doc":"nakai/html","title":"div","content":"pub fn div(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.div\nnakai/html div","url":"nakai/html.html#div"},{"doc":"nakai/html","title":"div_text","content":"pub fn div_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.div_text\nnakai/html div_text","url":"nakai/html.html#div_text"},{"doc":"nakai/html","title":"dl","content":"pub fn dl(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.dl\nnakai/html dl","url":"nakai/html.html#dl"},{"doc":"nakai/html","title":"dl_text","content":"pub fn dl_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.dl_text\nnakai/html dl_text","url":"nakai/html.html#dl_text"},{"doc":"nakai/html","title":"doctype","content":"pub fn doctype(decl: String) -&gt; Doctype\n\nSynonyms:\nnakai/html.doctype\nnakai/html doctype","url":"nakai/html.html#doctype"},{"doc":"nakai/html","title":"dt","content":"pub fn dt(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.dt\nnakai/html dt","url":"nakai/html.html#dt"},{"doc":"nakai/html","title":"dt_text","content":"pub fn dt_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.dt_text\nnakai/html dt_text","url":"nakai/html.html#dt_text"},{"doc":"nakai/html","title":"em","content":"pub fn em(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.em\nnakai/html em","url":"nakai/html.html#em"},{"doc":"nakai/html","title":"em_text","content":"pub fn em_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.em_text\nnakai/html em_text","url":"nakai/html.html#em_text"},{"doc":"nakai/html","title":"embed","content":"pub fn embed(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.embed\nnakai/html embed","url":"nakai/html.html#embed"},{"doc":"nakai/html","title":"embed_text","content":"pub fn embed_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.embed_text\nnakai/html embed_text","url":"nakai/html.html#embed_text"},{"doc":"nakai/html","title":"fieldset","content":"pub fn fieldset(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.fieldset\nnakai/html fieldset","url":"nakai/html.html#fieldset"},{"doc":"nakai/html","title":"fieldset_text","content":"pub fn fieldset_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.fieldset_text\nnakai/html fieldset_text","url":"nakai/html.html#fieldset_text"},{"doc":"nakai/html","title":"figcaption","content":"pub fn figcaption(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.figcaption\nnakai/html figcaption","url":"nakai/html.html#figcaption"},{"doc":"nakai/html","title":"figcaption_text","content":"pub fn figcaption_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.figcaption_text\nnakai/html figcaption_text","url":"nakai/html.html#figcaption_text"},{"doc":"nakai/html","title":"figure","content":"pub fn figure(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.figure\nnakai/html figure","url":"nakai/html.html#figure"},{"doc":"nakai/html","title":"figure_text","content":"pub fn figure_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.figure_text\nnakai/html figure_text","url":"nakai/html.html#figure_text"},{"doc":"nakai/html","title":"footer","content":"pub fn footer(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.footer\nnakai/html footer","url":"nakai/html.html#footer"},{"doc":"nakai/html","title":"footer_text","content":"pub fn footer_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.footer_text\nnakai/html footer_text","url":"nakai/html.html#footer_text"},{"doc":"nakai/html","title":"form","content":"pub fn form(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.form\nnakai/html form","url":"nakai/html.html#form"},{"doc":"nakai/html","title":"form_text","content":"pub fn form_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.form_text\nnakai/html form_text","url":"nakai/html.html#form_text"},{"doc":"nakai/html","title":"h1","content":"pub fn h1(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.h1\nnakai/html h1","url":"nakai/html.html#h1"},{"doc":"nakai/html","title":"h1_text","content":"pub fn h1_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.h1_text\nnakai/html h1_text","url":"nakai/html.html#h1_text"},{"doc":"nakai/html","title":"h2","content":"pub fn h2(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.h2\nnakai/html h2","url":"nakai/html.html#h2"},{"doc":"nakai/html","title":"h2_text","content":"pub fn h2_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.h2_text\nnakai/html h2_text","url":"nakai/html.html#h2_text"},{"doc":"nakai/html","title":"h3","content":"pub fn h3(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.h3\nnakai/html h3","url":"nakai/html.html#h3"},{"doc":"nakai/html","title":"h3_text","content":"pub fn h3_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.h3_text\nnakai/html h3_text","url":"nakai/html.html#h3_text"},{"doc":"nakai/html","title":"h4","content":"pub fn h4(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.h4\nnakai/html h4","url":"nakai/html.html#h4"},{"doc":"nakai/html","title":"h4_text","content":"pub fn h4_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.h4_text\nnakai/html h4_text","url":"nakai/html.html#h4_text"},{"doc":"nakai/html","title":"h5","content":"pub fn h5(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.h5\nnakai/html h5","url":"nakai/html.html#h5"},{"doc":"nakai/html","title":"h5_text","content":"pub fn h5_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.h5_text\nnakai/html h5_text","url":"nakai/html.html#h5_text"},{"doc":"nakai/html","title":"h6","content":"pub fn h6(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.h6\nnakai/html h6","url":"nakai/html.html#h6"},{"doc":"nakai/html","title":"h6_text","content":"pub fn h6_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.h6_text\nnakai/html h6_text","url":"nakai/html.html#h6_text"},{"doc":"nakai/html","title":"head","content":"pub fn head(children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.head\nnakai/html head","url":"nakai/html.html#head"},{"doc":"nakai/html","title":"header","content":"pub fn header(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.header\nnakai/html header","url":"nakai/html.html#header"},{"doc":"nakai/html","title":"header_text","content":"pub fn header_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.header_text\nnakai/html header_text","url":"nakai/html.html#header_text"},{"doc":"nakai/html","title":"hr","content":"pub fn hr(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.hr\nnakai/html hr","url":"nakai/html.html#hr"},{"doc":"nakai/html","title":"i","content":"pub fn i(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.i\nnakai/html i","url":"nakai/html.html#i"},{"doc":"nakai/html","title":"i_text","content":"pub fn i_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.i_text\nnakai/html i_text","url":"nakai/html.html#i_text"},{"doc":"nakai/html","title":"iframe","content":"pub fn iframe(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.iframe\nnakai/html iframe","url":"nakai/html.html#iframe"},{"doc":"nakai/html","title":"iframe_text","content":"pub fn iframe_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.iframe_text\nnakai/html iframe_text","url":"nakai/html.html#iframe_text"},{"doc":"nakai/html","title":"img","content":"pub fn img(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.img\nnakai/html img","url":"nakai/html.html#img"},{"doc":"nakai/html","title":"input","content":"pub fn input(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.input\nnakai/html input","url":"nakai/html.html#input"},{"doc":"nakai/html","title":"ins","content":"pub fn ins(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.ins\nnakai/html ins","url":"nakai/html.html#ins"},{"doc":"nakai/html","title":"ins_text","content":"pub fn ins_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.ins_text\nnakai/html ins_text","url":"nakai/html.html#ins_text"},{"doc":"nakai/html","title":"kbd","content":"pub fn kbd(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.kbd\nnakai/html kbd","url":"nakai/html.html#kbd"},{"doc":"nakai/html","title":"kbd_text","content":"pub fn kbd_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.kbd_text\nnakai/html kbd_text","url":"nakai/html.html#kbd_text"},{"doc":"nakai/html","title":"label","content":"pub fn label(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.label\nnakai/html label","url":"nakai/html.html#label"},{"doc":"nakai/html","title":"label_text","content":"pub fn label_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.label_text\nnakai/html label_text","url":"nakai/html.html#label_text"},{"doc":"nakai/html","title":"legend","content":"pub fn legend(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.legend\nnakai/html legend","url":"nakai/html.html#legend"},{"doc":"nakai/html","title":"legend_text","content":"pub fn legend_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.legend_text\nnakai/html legend_text","url":"nakai/html.html#legend_text"},{"doc":"nakai/html","title":"li","content":"pub fn li(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.li\nnakai/html li","url":"nakai/html.html#li"},{"doc":"nakai/html","title":"li_text","content":"pub fn li_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.li_text\nnakai/html li_text","url":"nakai/html.html#li_text"},{"doc":"nakai/html","title":"link","content":"pub fn link(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.link\nnakai/html link","url":"nakai/html.html#link"},{"doc":"nakai/html","title":"main","content":"pub fn main(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.main\nnakai/html main","url":"nakai/html.html#main"},{"doc":"nakai/html","title":"main_text","content":"pub fn main_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.main_text\nnakai/html main_text","url":"nakai/html.html#main_text"},{"doc":"nakai/html","title":"map","content":"pub fn map(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.map\nnakai/html map","url":"nakai/html.html#map"},{"doc":"nakai/html","title":"map_text","content":"pub fn map_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.map_text\nnakai/html map_text","url":"nakai/html.html#map_text"},{"doc":"nakai/html","title":"mark","content":"pub fn mark(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.mark\nnakai/html mark","url":"nakai/html.html#mark"},{"doc":"nakai/html","title":"mark_text","content":"pub fn mark_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.mark_text\nnakai/html mark_text","url":"nakai/html.html#mark_text"},{"doc":"nakai/html","title":"math","content":"pub fn math(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.math\nnakai/html math","url":"nakai/html.html#math"},{"doc":"nakai/html","title":"math_text","content":"pub fn math_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.math_text\nnakai/html math_text","url":"nakai/html.html#math_text"},{"doc":"nakai/html","title":"menu","content":"pub fn menu(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.menu\nnakai/html menu","url":"nakai/html.html#menu"},{"doc":"nakai/html","title":"menu_text","content":"pub fn menu_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.menu_text\nnakai/html menu_text","url":"nakai/html.html#menu_text"},{"doc":"nakai/html","title":"menuitem","content":"pub fn menuitem(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.menuitem\nnakai/html menuitem","url":"nakai/html.html#menuitem"},{"doc":"nakai/html","title":"menuitem_text","content":"pub fn menuitem_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.menuitem_text\nnakai/html menuitem_text","url":"nakai/html.html#menuitem_text"},{"doc":"nakai/html","title":"meta","content":"pub fn meta(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.meta\nnakai/html meta","url":"nakai/html.html#meta"},{"doc":"nakai/html","title":"meter","content":"pub fn meter(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.meter\nnakai/html meter","url":"nakai/html.html#meter"},{"doc":"nakai/html","title":"meter_text","content":"pub fn meter_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.meter_text\nnakai/html meter_text","url":"nakai/html.html#meter_text"},{"doc":"nakai/html","title":"nav","content":"pub fn nav(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.nav\nnakai/html nav","url":"nakai/html.html#nav"},{"doc":"nakai/html","title":"nav_text","content":"pub fn nav_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.nav_text\nnakai/html nav_text","url":"nakai/html.html#nav_text"},{"doc":"nakai/html","title":"noscript","content":"pub fn noscript(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.noscript\nnakai/html noscript","url":"nakai/html.html#noscript"},{"doc":"nakai/html","title":"noscript_text","content":"pub fn noscript_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.noscript_text\nnakai/html noscript_text","url":"nakai/html.html#noscript_text"},{"doc":"nakai/html","title":"object","content":"pub fn object(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.object\nnakai/html object","url":"nakai/html.html#object"},{"doc":"nakai/html","title":"object_text","content":"pub fn object_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.object_text\nnakai/html object_text","url":"nakai/html.html#object_text"},{"doc":"nakai/html","title":"ol","content":"pub fn ol(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.ol\nnakai/html ol","url":"nakai/html.html#ol"},{"doc":"nakai/html","title":"ol_text","content":"pub fn ol_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.ol_text\nnakai/html ol_text","url":"nakai/html.html#ol_text"},{"doc":"nakai/html","title":"optgroup","content":"pub fn optgroup(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.optgroup\nnakai/html optgroup","url":"nakai/html.html#optgroup"},{"doc":"nakai/html","title":"optgroup_text","content":"pub fn optgroup_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.optgroup_text\nnakai/html optgroup_text","url":"nakai/html.html#optgroup_text"},{"doc":"nakai/html","title":"option","content":"pub fn option(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.option\nnakai/html option","url":"nakai/html.html#option"},{"doc":"nakai/html","title":"option_text","content":"pub fn option_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.option_text\nnakai/html option_text","url":"nakai/html.html#option_text"},{"doc":"nakai/html","title":"output","content":"pub fn output(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.output\nnakai/html output","url":"nakai/html.html#output"},{"doc":"nakai/html","title":"output_text","content":"pub fn output_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.output_text\nnakai/html output_text","url":"nakai/html.html#output_text"},{"doc":"nakai/html","title":"p","content":"pub fn p(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.p\nnakai/html p","url":"nakai/html.html#p"},{"doc":"nakai/html","title":"p_text","content":"pub fn p_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.p_text\nnakai/html p_text","url":"nakai/html.html#p_text"},{"doc":"nakai/html","title":"param","content":"pub fn param(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.param\nnakai/html param","url":"nakai/html.html#param"},{"doc":"nakai/html","title":"param_text","content":"pub fn param_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.param_text\nnakai/html param_text","url":"nakai/html.html#param_text"},{"doc":"nakai/html","title":"picture","content":"pub fn picture(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.picture\nnakai/html picture","url":"nakai/html.html#picture"},{"doc":"nakai/html","title":"picture_text","content":"pub fn picture_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.picture_text\nnakai/html picture_text","url":"nakai/html.html#picture_text"},{"doc":"nakai/html","title":"pre","content":"pub fn pre(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.pre\nnakai/html pre","url":"nakai/html.html#pre"},{"doc":"nakai/html","title":"pre_text","content":"pub fn pre_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.pre_text\nnakai/html pre_text","url":"nakai/html.html#pre_text"},{"doc":"nakai/html","title":"progress","content":"pub fn progress(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.progress\nnakai/html progress","url":"nakai/html.html#progress"},{"doc":"nakai/html","title":"progress_text","content":"pub fn progress_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.progress_text\nnakai/html progress_text","url":"nakai/html.html#progress_text"},{"doc":"nakai/html","title":"q","content":"pub fn q(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.q\nnakai/html q","url":"nakai/html.html#q"},{"doc":"nakai/html","title":"q_text","content":"pub fn q_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.q_text\nnakai/html q_text","url":"nakai/html.html#q_text"},{"doc":"nakai/html","title":"rp","content":"pub fn rp(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.rp\nnakai/html rp","url":"nakai/html.html#rp"},{"doc":"nakai/html","title":"rp_text","content":"pub fn rp_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.rp_text\nnakai/html rp_text","url":"nakai/html.html#rp_text"},{"doc":"nakai/html","title":"rt","content":"pub fn rt(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.rt\nnakai/html rt","url":"nakai/html.html#rt"},{"doc":"nakai/html","title":"rt_text","content":"pub fn rt_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.rt_text\nnakai/html rt_text","url":"nakai/html.html#rt_text"},{"doc":"nakai/html","title":"ruby","content":"pub fn ruby(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.ruby\nnakai/html ruby","url":"nakai/html.html#ruby"},{"doc":"nakai/html","title":"ruby_text","content":"pub fn ruby_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.ruby_text\nnakai/html ruby_text","url":"nakai/html.html#ruby_text"},{"doc":"nakai/html","title":"s","content":"pub fn s(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.s\nnakai/html s","url":"nakai/html.html#s"},{"doc":"nakai/html","title":"s_text","content":"pub fn s_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.s_text\nnakai/html s_text","url":"nakai/html.html#s_text"},{"doc":"nakai/html","title":"samp","content":"pub fn samp(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.samp\nnakai/html samp","url":"nakai/html.html#samp"},{"doc":"nakai/html","title":"samp_text","content":"pub fn samp_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.samp_text\nnakai/html samp_text","url":"nakai/html.html#samp_text"},{"doc":"nakai/html","title":"section","content":"pub fn section(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.section\nnakai/html section","url":"nakai/html.html#section"},{"doc":"nakai/html","title":"section_text","content":"pub fn section_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.section_text\nnakai/html section_text","url":"nakai/html.html#section_text"},{"doc":"nakai/html","title":"select","content":"pub fn select(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.select\nnakai/html select","url":"nakai/html.html#select"},{"doc":"nakai/html","title":"select_text","content":"pub fn select_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.select_text\nnakai/html select_text","url":"nakai/html.html#select_text"},{"doc":"nakai/html","title":"small","content":"pub fn small(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.small\nnakai/html small","url":"nakai/html.html#small"},{"doc":"nakai/html","title":"small_text","content":"pub fn small_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.small_text\nnakai/html small_text","url":"nakai/html.html#small_text"},{"doc":"nakai/html","title":"source","content":"pub fn source(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.source\nnakai/html source","url":"nakai/html.html#source"},{"doc":"nakai/html","title":"space","content":"pub fn space() -&gt; Node(a)\n\nSynonyms:\nnakai/html.space\nnakai/html space","url":"nakai/html.html#space"},{"doc":"nakai/html","title":"span","content":"pub fn span(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.span\nnakai/html span","url":"nakai/html.html#span"},{"doc":"nakai/html","title":"span_text","content":"pub fn span_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.span_text\nnakai/html span_text","url":"nakai/html.html#span_text"},{"doc":"nakai/html","title":"strong","content":"pub fn strong(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.strong\nnakai/html strong","url":"nakai/html.html#strong"},{"doc":"nakai/html","title":"strong_text","content":"pub fn strong_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.strong_text\nnakai/html strong_text","url":"nakai/html.html#strong_text"},{"doc":"nakai/html","title":"sub","content":"pub fn sub(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.sub\nnakai/html sub","url":"nakai/html.html#sub"},{"doc":"nakai/html","title":"sub_text","content":"pub fn sub_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.sub_text\nnakai/html sub_text","url":"nakai/html.html#sub_text"},{"doc":"nakai/html","title":"summary","content":"pub fn summary(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.summary\nnakai/html summary","url":"nakai/html.html#summary"},{"doc":"nakai/html","title":"summary_text","content":"pub fn summary_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.summary_text\nnakai/html summary_text","url":"nakai/html.html#summary_text"},{"doc":"nakai/html","title":"sup","content":"pub fn sup(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.sup\nnakai/html sup","url":"nakai/html.html#sup"},{"doc":"nakai/html","title":"sup_text","content":"pub fn sup_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.sup_text\nnakai/html sup_text","url":"nakai/html.html#sup_text"},{"doc":"nakai/html","title":"svg","content":"pub fn svg(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.svg\nnakai/html svg","url":"nakai/html.html#svg"},{"doc":"nakai/html","title":"svg_text","content":"pub fn svg_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.svg_text\nnakai/html svg_text","url":"nakai/html.html#svg_text"},{"doc":"nakai/html","title":"table","content":"pub fn table(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.table\nnakai/html table","url":"nakai/html.html#table"},{"doc":"nakai/html","title":"table_text","content":"pub fn table_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.table_text\nnakai/html table_text","url":"nakai/html.html#table_text"},{"doc":"nakai/html","title":"tbody","content":"pub fn tbody(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.tbody\nnakai/html tbody","url":"nakai/html.html#tbody"},{"doc":"nakai/html","title":"tbody_text","content":"pub fn tbody_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.tbody_text\nnakai/html tbody_text","url":"nakai/html.html#tbody_text"},{"doc":"nakai/html","title":"td","content":"pub fn td(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.td\nnakai/html td","url":"nakai/html.html#td"},{"doc":"nakai/html","title":"td_text","content":"pub fn td_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.td_text\nnakai/html td_text","url":"nakai/html.html#td_text"},{"doc":"nakai/html","title":"textarea","content":"pub fn textarea(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.textarea\nnakai/html textarea","url":"nakai/html.html#textarea"},{"doc":"nakai/html","title":"textarea_text","content":"pub fn textarea_text(attrs: List(Attr(a)), text: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.textarea_text\nnakai/html textarea_text","url":"nakai/html.html#textarea_text"},{"doc":"nakai/html","title":"tfoot","content":"pub fn tfoot(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.tfoot\nnakai/html tfoot","url":"nakai/html.html#tfoot"},{"doc":"nakai/html","title":"tfoot_text","content":"pub fn tfoot_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.tfoot_text\nnakai/html tfoot_text","url":"nakai/html.html#tfoot_text"},{"doc":"nakai/html","title":"th","content":"pub fn th(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.th\nnakai/html th","url":"nakai/html.html#th"},{"doc":"nakai/html","title":"th_text","content":"pub fn th_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.th_text\nnakai/html th_text","url":"nakai/html.html#th_text"},{"doc":"nakai/html","title":"thead","content":"pub fn thead(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.thead\nnakai/html thead","url":"nakai/html.html#thead"},{"doc":"nakai/html","title":"thead_text","content":"pub fn thead_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.thead_text\nnakai/html thead_text","url":"nakai/html.html#thead_text"},{"doc":"nakai/html","title":"time","content":"pub fn time(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.time\nnakai/html time","url":"nakai/html.html#time"},{"doc":"nakai/html","title":"time_text","content":"pub fn time_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.time_text\nnakai/html time_text","url":"nakai/html.html#time_text"},{"doc":"nakai/html","title":"title","content":"pub fn title(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.title\nnakai/html title","url":"nakai/html.html#title"},{"doc":"nakai/html","title":"title_text","content":"pub fn title_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.title_text\nnakai/html title_text","url":"nakai/html.html#title_text"},{"doc":"nakai/html","title":"tr","content":"pub fn tr(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.tr\nnakai/html tr","url":"nakai/html.html#tr"},{"doc":"nakai/html","title":"tr_text","content":"pub fn tr_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.tr_text\nnakai/html tr_text","url":"nakai/html.html#tr_text"},{"doc":"nakai/html","title":"track","content":"pub fn track(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.track\nnakai/html track","url":"nakai/html.html#track"},{"doc":"nakai/html","title":"u","content":"pub fn u(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/html.u\nnakai/html u","url":"nakai/html.html#u"},{"doc":"nakai/html","title":"u_text","content":"pub fn u_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.u_text\nnakai/html u_text","url":"nakai/html.html#u_text"},{"doc":"nakai/html","title":"ul","content":"pub fn ul(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.ul\nnakai/html ul","url":"nakai/html.html#ul"},{"doc":"nakai/html","title":"ul_text","content":"pub fn ul_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.ul_text\nnakai/html ul_text","url":"nakai/html.html#ul_text"},{"doc":"nakai/html","title":"var","content":"pub fn var(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.var\nnakai/html var","url":"nakai/html.html#var"},{"doc":"nakai/html","title":"var_text","content":"pub fn var_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.var_text\nnakai/html var_text","url":"nakai/html.html#var_text"},{"doc":"nakai/html","title":"video","content":"pub fn video(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.video\nnakai/html video","url":"nakai/html.html#video"},{"doc":"nakai/html","title":"video_text","content":"pub fn video_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.video_text\nnakai/html video_text","url":"nakai/html.html#video_text"},{"doc":"nakai/html","title":"wbr","content":"pub fn wbr(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/html.wbr\nnakai/html wbr","url":"nakai/html.html#wbr"},{"doc":"nakai/html","title":"wbr_text","content":"pub fn wbr_text(attrs: List(Attr(a)), text: String) -&gt; Node(a)\n\nSynonyms:\nnakai/html.wbr_text\nnakai/html wbr_text","url":"nakai/html.html#wbr_text"},{"doc":"nakai/html","title":"nakai/html","content":"","url":"nakai/html.html"},{"doc":"nakai/render/state","title":"EventState","content":"pub type EventState(a) {\n  EventState(name: String, ref: String, a)\n}\n\nEventState(name: String, ref: String, a)\n\n\nSynonyms:\nnakai/render/state.EventState\nnakai/render/state EventState","url":"nakai/render/state.html#EventState"},{"doc":"nakai/render/state","title":"State","content":"pub type State(a) {\n  State(\n    head: StringBuilder,\n    body: StringBuilder,\n    events: List(EventState(a)),\n  )\n}\n\nState(\n  head: StringBuilder,\n  body: StringBuilder,\n  events: List(EventState(a)),\n)\n\n\nSynonyms:\nnakai/render/state.State\nnakai/render/state State","url":"nakai/render/state.html#State"},{"doc":"nakai/render/state","title":"append","content":"pub fn append(before: State(a), add: State(a)) -&gt; State(a)\n\nSynonyms:\nnakai/render/state.append\nnakai/render/state append","url":"nakai/render/state.html#append"},{"doc":"nakai/render/state","title":"body_only","content":"pub fn body_only(body: StringBuilder, events: List(EventState(a))) -&gt; State(\n  a,\n)\n\nSynonyms:\nnakai/render/state.body_only\nnakai/render/state body_only","url":"nakai/render/state.html#body_only"},{"doc":"nakai/render/state","title":"head_only","content":"pub fn head_only(head: StringBuilder) -&gt; State(a)\n\nSynonyms:\nnakai/render/state.head_only\nnakai/render/state head_only","url":"nakai/render/state.html#head_only"},{"doc":"nakai/render/state","title":"headify","content":"pub fn headify(state: State(a)) -&gt; State(a)\n\nSynonyms:\nnakai/render/state.headify\nnakai/render/state headify","url":"nakai/render/state.html#headify"},{"doc":"nakai/render/state","title":"new","content":"pub fn new() -&gt; State(a)\n\nSynonyms:\nnakai/render/state.new\nnakai/render/state new","url":"nakai/render/state.html#new"},{"doc":"nakai/render/state","title":"nakai/render/state","content":"","url":"nakai/render/state.html"},{"doc":"nakai/render","title":"AttrRender","content":"pub type AttrRender(a) {\n  AttrRender(text: StringBuilder, events: List(EventState(a)))\n}\n\nAttrRender(text: StringBuilder, events: List(EventState(a)))\n\n\nSynonyms:\nnakai/render.AttrRender\nnakai/render AttrRender","url":"nakai/render.html#AttrRender"},{"doc":"nakai/render","title":"append","content":"pub fn append(before: AttrRender(a), add: AttrRender(a)) -&gt; AttrRender(\n  a,\n)\n\nSynonyms:\nnakai/render.append\nnakai/render append","url":"nakai/render.html#append"},{"doc":"nakai/render","title":"new","content":"pub fn new() -&gt; AttrRender(a)\n\nSynonyms:\nnakai/render.new\nnakai/render new","url":"nakai/render.html#new"},{"doc":"nakai/render","title":"render_attr","content":"pub fn render_attr(attr: Attr(a)) -&gt; AttrRender(a)\n\nSynonyms:\nnakai/render.render_attr\nnakai/render render_attr","url":"nakai/render.html#render_attr"},{"doc":"nakai/render","title":"render_attrs","content":"pub fn render_attrs(attrs: List(Attr(a))) -&gt; AttrRender(a)\n\nSynonyms:\nnakai/render.render_attrs\nnakai/render render_attrs","url":"nakai/render.html#render_attrs"},{"doc":"nakai/render","title":"render_children","content":"pub fn render_children(children: List(Node(a))) -&gt; State(a)\n\nSynonyms:\nnakai/render.render_children\nnakai/render render_children","url":"nakai/render.html#render_children"},{"doc":"nakai/render","title":"render_doctype","content":"pub fn render_doctype(doctype: Doctype) -&gt; StringBuilder\n\nSynonyms:\nnakai/render.render_doctype\nnakai/render render_doctype","url":"nakai/render.html#render_doctype"},{"doc":"nakai/render","title":"render_node","content":"pub fn render_node(tree: Node(a)) -&gt; State(a)\n\nSynonyms:\nnakai/render.render_node\nnakai/render render_node","url":"nakai/render.html#render_node"},{"doc":"nakai/render","title":"render_root","content":"pub fn render_root(tree: Node(a), attrs: List(Attr(a))) -&gt; StringBuilder\n\nSynonyms:\nnakai/render.render_root\nnakai/render render_root","url":"nakai/render.html#render_root"},{"doc":"nakai/render","title":"nakai/render","content":"","url":"nakai/render.html"},{"doc":"nakai","title":"component","content":"pub fn component(func: fn(a) -&gt; Node(b), props: a) -&gt; Node(b)\n\nSynonyms:\nnakai.component\nnakai component","url":"nakai.html#component"},{"doc":"nakai","title":"const_component","content":"pub fn const_component(func: fn() -&gt; Node(a)) -&gt; Node(a)\n\nSynonyms:\nnakai.const_component\nnakai const_component","url":"nakai.html#const_component"},{"doc":"nakai","title":"fragment","content":"pub fn fragment(children: List(Node(a))) -&gt; Node(a)\n\nSynonyms:\nnakai.fragment\nnakai fragment","url":"nakai.html#fragment"},{"doc":"nakai","title":"nothing","content":"pub fn nothing() -&gt; Node(a)\n\nSynonyms:\nnakai.nothing\nnakai nothing","url":"nakai.html#nothing"},{"doc":"nakai","title":"render","content":"pub fn render(root: Node(a)) -&gt; String\n\nSynonyms:\nnakai.render\nnakai render","url":"nakai.html#render"},{"doc":"nakai","title":"render_with_doctype","content":"pub fn render_with_doctype(doctype doctype: Doctype, root: Node(a)) -&gt; String\n\nSynonyms:\nnakai.render_with_doctype\nnakai render_with_doctype","url":"nakai.html#render_with_doctype"},{"doc":"nakai","title":"render_with_document_attrs","content":"pub fn render_with_document_attrs(root: Node(a), attrs: List(\n    Attr(a),\n  )) -&gt; String\n\nSynonyms:\nnakai.render_with_document_attrs\nnakai render_with_document_attrs","url":"nakai.html#render_with_document_attrs"},{"doc":"nakai","title":"nakai","content":"","url":"nakai.html"},{"doc":"nakai/web_components","title":"slot","content":"pub fn slot(attrs: List(Attr(a))) -&gt; Node(a)\n\nSynonyms:\nnakai/web_components.slot\nnakai/web_components slot","url":"nakai/web_components.html#slot"},{"doc":"nakai/web_components","title":"template","content":"pub fn template(attrs: List(Attr(a)), children: List(Node(a))) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/web_components.template\nnakai/web_components template","url":"nakai/web_components.html#template"},{"doc":"nakai/web_components","title":"nakai/web_components","content":"","url":"nakai/web_components.html"},{"doc":"nakai/head","title":"charset","content":"pub fn charset(charset: String) -&gt; Node(a)\n\nSynonyms:\nnakai/head.charset\nnakai/head charset","url":"nakai/head.html#charset"},{"doc":"nakai/head","title":"http_equiv","content":"pub fn http_equiv(header: String, content content: String) -&gt; Node(\n  a,\n)\n\nSynonyms:\nnakai/head.http_equiv\nnakai/head http_equiv","url":"nakai/head.html#http_equiv"},{"doc":"nakai/head","title":"link","content":"pub fn link(rel rel: String, href href: String) -&gt; Node(a)\n\nSynonyms:\nnakai/head.link\nnakai/head link","url":"nakai/head.html#link"},{"doc":"nakai/head","title":"meta","content":"pub fn meta(name name: String, content content: String) -&gt; Node(a)\n\nSynonyms:\nnakai/head.meta\nnakai/head meta","url":"nakai/head.html#meta"},{"doc":"nakai/head","title":"stylesheet","content":"pub fn stylesheet(href url: String) -&gt; Node(a)\n\nSynonyms:\nnakai/head.stylesheet\nnakai/head stylesheet","url":"nakai/head.html#stylesheet"},{"doc":"nakai/head","title":"title","content":"pub fn title(title: String) -&gt; Node(a)\n\nSynonyms:\nnakai/head.title\nnakai/head title","url":"nakai/head.html#title"},{"doc":"nakai/head","title":"nakai/head","content":"","url":"nakai/head.html"}]);